Skip to main content

Test dependencies on Debian package versions

Project description

Recipe used to test the Debian package requirement.

This recipe requires that dpkg is in the path.

Example of use:

[buildout]
parts = ...
    pkgversions
    ...

[pkgversions]
recipe = c2c.recipe.pkgversions
mapserver-bin = 6.0.3
libproj0 = 4.8

This example tests that we have at least the version 6.0.3 of mapserver, and the version 4.8 of proj.

No version mean no-test.

To just test that the package is installed use the version dev (minimal version) or installed (alias).

It the version is set to not-installed mean that we want that the package isn’t installed.

Project details


Release history Release notifications

This version
History Node

0.3dev1

History Node

0.2

History Node

0.2dev2

History Node

0.2dev1

History Node

0.1

Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Filename, size & hash SHA256 hash help File type Python version Upload date
c2c.recipe.pkgversions-0.3dev1.tar.gz (2.8 kB) Copy SHA256 hash SHA256 Source None Oct 29, 2013

Supported by

Elastic Elastic Search Pingdom Pingdom Monitoring Google Google BigQuery Sentry Sentry Error logging CloudAMQP CloudAMQP RabbitMQ AWS AWS Cloud computing Fastly Fastly CDN DigiCert DigiCert EV certificate StatusPage StatusPage Status page